libzypp 17.37.10

providedbg_p.h File Reference
`#include <zypp-core/base/LogControl.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "ZYPP_MEDIA_PROVIDE"
#define | XXX_PRV if( zyppng::provideDebugEnabled() ) XXX
#define | DBG_PRV if( zyppng::provideDebugEnabled() ) DBG
#define | MIL_PRV if( zyppng::provideDebugEnabled() ) MIL
#define | WAR_PRV if( zyppng::provideDebugEnabled() ) WAR
#define | ERR_PRV if( zyppng::provideDebugEnabled() ) ERR
#define | SEC_PRV if( zyppng::provideDebugEnabled() ) SEC
#define | INT_PRV if( zyppng::provideDebugEnabled() ) INT
#define | USR_PRV if( zyppng::provideDebugEnabled() ) USR

## Functions
bool | zyppng::provideDebugEnabled ()

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "ZYPP_MEDIA_PROVIDE"

Definition at line 25 of file providedbg_p.h.

## ◆ XXX_PRV

#define XXX_PRV if( zyppng::provideDebugEnabled() ) XXX

Definition at line 33 of file providedbg_p.h.

## ◆ DBG_PRV

#define DBG_PRV if( zyppng::provideDebugEnabled() ) DBG

Definition at line 34 of file providedbg_p.h.

## ◆ MIL_PRV

#define MIL_PRV if( zyppng::provideDebugEnabled() ) MIL

Definition at line 35 of file providedbg_p.h.

## ◆ WAR_PRV

#define WAR_PRV if( zyppng::provideDebugEnabled() ) WAR

Definition at line 36 of file providedbg_p.h.

## ◆ ERR_PRV

#define ERR_PRV if( zyppng::provideDebugEnabled() ) ERR

Definition at line 37 of file providedbg_p.h.

## ◆ SEC_PRV

#define SEC_PRV if( zyppng::provideDebugEnabled() ) SEC

Definition at line 38 of file providedbg_p.h.

## ◆ INT_PRV

#define INT_PRV if( zyppng::provideDebugEnabled() ) INT

Definition at line 39 of file providedbg_p.h.

## ◆ USR_PRV

#define USR_PRV if( zyppng::provideDebugEnabled() ) USR

Definition at line 40 of file providedbg_p.h.